/**
 * \file device/RegisterAccessorBase.h
 *
 * \author Alexandre Tuleu
 */

#ifndef LIBSBCP_IO_REGISTER_ACCESSOR_BASE_H_
#define LIBSBCP_IO_REGISTER_ACCESSOR_BASE_H_


#include "Register.h"

namespace sbcp {


class RegisterReaderBase : public virtual Register {
public :
	RegisterReaderBase(Device & dev,
	                   Register::Address adr,
	                   unsigned int flg);
	virtual ~RegisterReaderBase();
	virtual void UpdateFromData(Data d) = 0;
};


class RegisterWriterBase : public virtual Register{
public :
	RegisterWriterBase(Device & dev,
	                   Register::Address adr,
	                   unsigned int flg);
	virtual ~RegisterWriterBase();
	virtual Data ToData() = 0;
};


} //namespace sbcp


#endif //LIBSBCP_IO_REGISTER_ACCESSOR_BASE_H_
