/*
 * \file sbcp_common.cpp
 *
 *  \date Jun 4, 2013
 *  \author Alexandre Tuleu
 */


#include "sbcp_common.h"


namespace sbcp {

SBCPVersion::SBCPVersion()
	: major(0)
	, minor(0) {
}

SBCPVersion::SBCPVersion(Byte major, Byte minor)
	: major(major)
	, minor(minor){
}

SBCPVersion::SBCPVersion(const SBCPVersion & o)
	: major(o.major)
	, minor(o.minor){
}

SBCPVersion::~SBCPVersion(){}

const SBCPVersion & SBCPVersion::operator=(const SBCPVersion & o) {
	major = o.major;
	minor = o.minor;
	return *this;
}

bool operator < (const SBCPVersion & a , const SBCPVersion & b) {
	return a.major < b.major || (a.major == b.major && a.minor < b.minor);
}
bool operator > (const SBCPVersion & a , const SBCPVersion & b) {
	return a.major > b.major || (a.major == b.major && a.minor > b.minor);
}

bool operator == (const SBCPVersion & a , const SBCPVersion & b) {
	return a.major == b.major && a.minor == b.minor;
}
bool operator <= (const SBCPVersion & a , const SBCPVersion & b) {
	return a < b || a == b;
}
bool operator >= (const SBCPVersion & a , const SBCPVersion & b) {
	return a > b || a == b;
}

std::ostream & operator<< (std::ostream & out, const SBCPVersion & v) {
	return out << (int)v.major << "." << (int)v.minor;
}
} // namespace sbcp
