/**
 * \file PowerUTest.cpp
 *
 *  \date Oct 30, 2012
 *  \author Alexandre Tuleu
 */

#include "PowerUTest.h"

#include <libsbcp/errors/SbcpdError.h>

void PowerBoardUTest::SetUp(){
	d_bus = NULL;
	try{
		d_bus = new sbcp::Bus(NULL,NULL);
	} catch (const std::runtime_error & e){
		d_bus = NULL;
	}

}

void PowerBoardUTest::TearDown(){
	if(d_bus){
		delete d_bus;
	}
}


TEST_F(PowerBoardUTest,IsWellDefined){
	try {
		sbcp::Device::Ptr d(new sbcp::amarsi::Power(*d_bus,
		                                            0x01,
		                                            0x01,
		                                            sbcp::SBCPVersion(0,1)));
	} catch (const sbcp::SbcdpError & e) {

	} catch (const std::exception & e) {
		FAIL() << "Got an exception : " << e.what();
	}
}
