/**
 * \file SbcpdError.h
 *
 *  \date May 5, 2012
 *  \author Alexandre Tuleu
 */

#ifndef LIBSBCP_SBCPDERROR_H_
#define LIBSBCP_SBCPDERROR_H_

#include <stdexcept>

struct sbcpd_bus;


namespace sbcp {
/**
 * An internal error of the SBCP bus.
 * Basically uit is an error generated by the sbcpd library that is not internally
 * handled.
 */
class SbcdpError : public std::runtime_error {
public:
	SbcdpError(const std::string & when,sbcpd_bus * bus);
	virtual ~SbcdpError() throw();
};
} //namespace sbcp
#endif // LIBSBCP_SBCDPERROR_H_
