/*
 * HexaByte.h
 *
 *  Created on: Jan 4, 2013
 *      Author: tuleu
 */

#ifndef HEXABYTE_H_
#define HEXABYTE_H_

#include <stdint.h>

#include <iostream>


namespace sbcp {

class HexaByte {
public:
	friend std::ostream & operator << (std::ostream & out, const HexaByte & b);
	friend std::istream & operator >> (std::istream & in, HexaByte & b);

	HexaByte();
	HexaByte(uint8_t v);

	~HexaByte();

	//implicitely it is a byte
	void operator=(uint8_t v);
	operator uint8_t() const;

	uint8_t AsByte() const;
	bool IsInitialized() const;



protected :
	const static uint16_t UNITIALIZED = 0x0100;
	uint16_t d_byte;
};

inline uint8_t HexaByte::AsByte() const {
	return d_byte & 0xff;
}



} /* namespace sbcp */
#endif /* HEXABYTE_H_ */
